#ifndef BILLYSHEET_MENU_HPP
#define BILLYSHEET_MENU_HPP

#include <spdlog/spdlog.h>

namespace gui {
	class GuiData;

	class Menu final {
	private:
		GuiData &data;
	public:
		Menu() noexcept = delete;

		explicit Menu(GuiData &data) noexcept: data(data) { SPDLOG_DEBUG("Creating Menu"); }

		~Menu() noexcept = default;

		void gui() const noexcept;
	};
}


#endif //BILLYSHEET_MENU_HPP
